Skip to main content
POST
/
v1
/
comfyui-workflows
Create comfy uiworkflow
curl --request POST \
  --url https://api.runflow.io/v1/comfyui-workflows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "workflow_json": {},
  "slug": "<string>",
  "description": "<string>",
  "version": "<string>",
  "is_public": true,
  "status_code": "<string>",
  "environment": {},
  "models": {},
  "custom_nodes": {},
  "graph": {},
  "resources": {},
  "category_code": "<string>",
  "inputs": [
    {
      "name": "<string>",
      "variable_type_code": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "default_behavior_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "is_required": true,
      "default_value": {},
      "sort_order": 0,
      "comfyui_node_id": "<string>",
      "comfyui_field_name": "<string>"
    }
  ],
  "outputs": [
    {
      "name": "<string>",
      "variable_type_code": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "sort_order": 0,
      "comfyui_node_id": "<string>",
      "comfyui_field_name": "<string>"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "name": "<string>",
  "description": "<string>",
  "workflow_json": {},
  "version": "<string>",
  "is_public": true,
  "status_code": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "environment": {},
  "models": {},
  "custom_nodes": {},
  "graph": {},
  "resources": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "category_code": "<string>",
  "inputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "default_behavior_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "is_required": true,
      "default_value": {},
      "sort_order": 123,
      "comfyui_node_id": "<string>",
      "comfyui_field_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "outputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "sort_order": 123,
      "comfyui_node_id": "<string>",
      "comfyui_field_name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Body

application/json

POST body.

name
string
required
workflow_json
Workflow Json · object
required
slug
string | null
description
string | null
version
string | null
is_public
boolean | null
status_code
string | null
environment
Environment · object
models
Models · object
custom_nodes
Custom Nodes · object
graph
Graph · object
resources
Resources · object
category_code
string | null
inputs
CreateValidator · object[] | null
outputs
CreateValidator · object[] | null

Response

The created comfy uiworkflow.

Response shape.

id
string<uuid> | null
org_id
string<uuid> | null
slug
string | null
name
string | null
description
string | null
workflow_json
Workflow Json · object
version
string | null
is_public
boolean | null
status_code
string | null
created_by
string<uuid> | null
environment
Environment · object
models
Models · object
custom_nodes
Custom Nodes · object
graph
Graph · object
resources
Resources · object
created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null
deleted_by
string<uuid> | null
category_code
string | null
inputs
FullValidator · object[] | null
outputs
FullValidator · object[] | null